com.holonplatform.vaadin.components.builders

## Interface PropertyListingBuilder<B extends PropertyListingBuilder<B,X>,X extends com.vaadin.ui.Component>

- Type Parameters:
    `B` - Concrete builder type
    `X` - Concrete backing component type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<B>, ComponentBuilder<PropertyListing,B>, ComponentConfigurator<B>, ComponentPostProcessorSupport<X,B>, ItemDataSourceComponentBuilder<com.holonplatform.core.property.PropertyBox,PropertyListing,B>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,B,X>
  All Known Subinterfaces:
    PropertyListingBuilder.GridPropertyListingBuilder

      public interface PropertyListingBuilder<B extends PropertyListingBuilder<B,X>,X extends com.vaadin.ui.Component>
      extends ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,B,X>

  An `ItemListingBuilder` using `Property` as item properties and `PropertyBox` as item data type.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PropertyListingBuilder.GridPropertyListingBuilder` Builder to create `PropertyListing` components using a `Grid` as backing component.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.FooterBuilder<P>, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T>, ItemListingBuilder.GridSection<ROWTYPE>, ItemListingBuilder.HeaderBuilder<P>, ItemListingBuilder.ListingFooterRow<P>, ItemListingBuilder.ListingHeaderRow<P>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> dataTarget, com.holonplatform.core.property.Property... identifierProperties)` Use given `Datastore` with given `dataTarget` as items data source.
    `B` | `dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider, com.holonplatform.core.property.Property... identifierProperties)` Set the items data provider.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `alignment, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, editable, editable, footerVisible, header, header, header, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, rowHeight, selectAllCheckBoxVisibility, selectionMode, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

- - ### Method Detail

    - #### dataSource

          B dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider,
                       com.holonplatform.core.property.Property... identifierProperties)

      Set the items data provider.
      Parameters:
        `dataProvider` - Items data provider (not null)
        `identifierProperties` - Properties wich act as item identifier
      Returns:
        this

    - #### dataSource

          B dataSource(com.holonplatform.core.datastore.Datastore datastore,
                       com.holonplatform.core.datastore.DataTarget<?> dataTarget,
                       com.holonplatform.core.property.Property... identifierProperties)

      Use given `Datastore` with given `dataTarget` as items data source.

      A `Datastore` based `ItemDataSource.CommitHandler` is also configured by default.

      Parameters:
        `datastore` - Datastore to use (not null)
        `dataTarget` - Data target to use to load items (not null)
        `identifierProperties` - Properties wich act as item identifier
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.